Subject: [mpls] Request for early code point allocations for I-D.draft-ietf-mpls-egress-tlv-for-nil-fec

From: Tarek Saad <[email-masked]>
Date: Wed, 3 Nov 2021 15:04:16 +0000

Hi Martin,

This a request for early allocation of IANA codepoints as described in RFC 7120. Please see responses/remarks to process steps inline.

   1.  The authors (editors) of the document submit a request for early
       allocation to the Working Group chairs, specifying which code
       points require early allocation and to which document they should
       be assigned.

The document is stable and implementations are under way.
The WG chairs are prepared to go ahead and request the earlly allocations.

   2.  The WG chairs determine whether the conditions for early

       allocations described in Section 2<https://datatracker.ietf.org/doc/html/rfc7120#section-2> are met, particularly

       conditions (c) and (d).

The WG chairs have reviewed the draft in the light of section 2 of RFC 7120 and determined that draft-ietf-mpls-egress-tlv-for-nil-fec meet this criteria.

   3.  The WG chairs gauge whether there is consensus within the WG that

       early allocation is appropriate for the given document.

The WG chairs determined that there is consensus in the WG to go ahead and do the early allocation.

   4.  If steps 2) and 3) are satisfied, the WG chairs request approval

       from the Area Director(s).  The Area Director(s) may apply

       judgement to the request, especially if there is a risk of

       registry depletion.

This mail (Martin Vigoureux as responsible AD, with a copy to the other rtg-ads is the request according to this step in the process for early allocation according to the IANA section of draft-ietf-mpls-egress-tlv-for-nil-fec.

We request support for early allocation of the codes as requested in IANA considerations section in draft-ietf-mpls-egress-tlv-for-nil-fec, i.e.:

  *   A new Type for “Egress TLV” from the "TLVs" registry of the "Multi-Protocol Label switching (MPLS) Label Switched Paths (LSPs) Ping parameters" namespace.
  *   A new Return Code for “Replying router is an egress for the EGRESS-TLV” from the "Return Codes" sub-registry of "Multi-Protocol Label Switching (MPLS) Label Switched Paths (LSPs) Ping Parameters".

The WG chairs will wait for the response from the responsible AD before going ahead with step 5 in this process.

   5.  If the Area Directors approve step 4), the WG chairs request IANA
       to make an early allocation.

   6.  IANA makes an allocation from the appropriate registry, marking
       it as "Temporary", valid for a period of one year from the date
       of allocation.  The date of first allocation and the date of
       expiry are also recorded in the registry and made visible to the
       public.

Regards,
Tarek (for MPLS WG Chairs)

---

From: Martin Vigoureux <[email-masked]>
Date: Wed, 3 Nov 2021 16:39:03 +0100

Hi Tarek,

I approve.

-m

Le 2021-11-03 à 16:04, Tarek Saad a écrit :
> Hi Martin,
> 
> This a request for early allocation of IANA codepoints as described in 
> RFC 7120. Please see responses/remarks to process steps inline.
> 
>         allocations described in Section 2 
> <https://datatracker.ietf.org/doc/html/rfc7120#section-2> are met, 
> particularly
> 
>         conditions (c) and (d).
> 
> The WG chairs have reviewed the draft in the light of section 2 of RFC 
> 7120 and determined that draft-ietf-mpls-egress-tlv-for-nil-fec meet 
> this criteria.
> 
> This mail (Martin Vigoureux as responsible AD, with a copy to the other 
> rtg-ads is the request according to this step in the process for early 
> allocation according to the IANA section of 
> draft-ietf-mpls-egress-tlv-for-nil-fec.
> 
> We request support for early allocation of the codes as requested in 
> IANA considerations section in draft-ietf-mpls-egress-tlv-for-nil-fec, i.e.:
> 
>   * A new Type for “Egress TLV” from the "TLVs" registry of the
>     "Multi-Protocol Label switching (MPLS) Label Switched Paths (LSPs)
>     Ping parameters" namespace.
>   * A new Return Code for “Replying router is an egress for the
>     EGRESS-TLV” from the "Return Codes" sub-registry of "Multi-Protocol
>     Label Switching (MPLS) Label Switched Paths (LSPs) Ping Parameters".
>

---

From: Tarek Saad <[email-masked]>
Date: Sun, 7 Nov 2021 14:10:31 +0000

Hi IANA,

The MPLS working group requests early allocation of code points for draft-ietf-mpls-egress-tlv-for-nil-fec according to the description in section 7.1 and 7.2 of the draft.

Regards,
Tarek (for MPLS WG co-chairs)

From: Martin Vigoureux <[email-masked]>
Date: Wednesday, November 3, 2021 at 11:39 AM
To: Tarek Saad <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>
Subject: Re: Request for early code point allocations for I-D.draft-ietf-mpls-egress-tlv-for-nil-fec
Hi Tarek,

I approve.

-m

---

From: "Amanda Baber via RT" <[email-masked]>
Date: Tue, 09 Nov 2021 01:06:51 +0000

Hi all,

We've completed the early allocations for this document, but we have one minor question about the TLV assignment.

We've added the following entry to the Return Codes registry:

Value: 36
Meaning: Replying router is an egress for the prefix in EGRESS-TLV (TEMPORARY - registered 2021-11-08, expires 2022-11-08)
Reference: [draft-ietf-mpls-egress-tlv-for-nil-fec-01]

We've added the following entry to the TLVs registry:

Type: 28
TLV Name: EGRESS TLV (TEMPORARY - registered 2021-11-08, expires 2022-11-08)
Reference: [draft-ietf-mpls-egress-tlv-for-nil-fec-01]
Sub-TLV Registry: No Sub-TLVs

Question: would it be appropriate to remove "TLV" from the name of the TLV? Many registrations don't include it.

Please see
https://www.iana.org/assignments/mpls-lsp-ping-parameters

If the document hasn't been approved for publication by September, we'll contact you about renewing the allocations.

Best regards,

Amanda Baber
IANA Operations Manager

On Sun Nov 07 14:10:55 2021, [email-masked] wrote:
> Hi IANA,
> 
> The MPLS working group requests early allocation of code points for
> draft-ietf-mpls-egress-tlv-for-nil-fec according to the description in
> section 7.1 and 7.2 of the draft.
> 
> Regards,
> To: Tarek Saad <[email-masked]>, [email-masked] <rtg-
> [email-masked]>, [email-masked] <[email-masked]>,
> [email-masked] <[email-masked]>
> > The WG chairs determined that there is consensus in the WG to go
> > ahead
> > and do the early allocation.
> >
> > The WG chairs will wait for the response from the responsible AD
> > before
> > going ahead with step 5 in this process.
> >